package merchant

import (
	"context"

	"kami/api/merchant/v1"
	"kami/internal/model"
	"kami/internal/service"
)

func (c *ControllerV1) MerchantConfigUpdate(ctx context.Context, req *v1.MerchantConfigUpdateReq) (res *v1.MerchantConfigUpdateRes, err error) {
	res = new(v1.MerchantConfigUpdateRes)
	m := service.Merchant()
	err = m.UpdateDetail(ctx, model.MerchantSimpleInfoRecord{MerchantSimpleInfoRecord: req.MerchantSimpleInfoRecord})
	return
}
